Triggered when a 3D Secure (3DS) Strong Customer Authentication (SCA) challenge is initiated for a card transaction. Subscribers should use this event to present the cardholder with a challenge to authenticate or decline the transaction.
Payment 3DS SCA
{listenerUrl}/payment-3ds-sca Request
Header Parameters
X-Delivery-IdstringUnique message id plus delivery attempt.
X-Key-IdstringID of the public key used to validate the signature.
X-SignaturestringBase64-encoded RSA SHA-256 signature of
{deliveryId}:.{keyId}: {requestBody}
Body application/json
topicstringAllowed values:payment-3ds-scapayloadobjectchallengeIdstringThe Immersve ID for the 3DS challenge. Send this value back as the
{challengeId}path parameter and thechallengeIdbody field when calling Submit 3DS Challenge Outcome.externalIdstringA unique reference for the 3DS security challenge. This reference can be used to correlate the challenge to the subsequent Immersve payment resource.
cardholderIdstringThe Immersve ID for the cardholder associated with the card.
cardIdstringThe Immersve card ID.
cardPanLast4stringThe last four digits of the card PAN.
cardProgramIdstringThe Immersve card program ID for the card.
merchantNamestringThe merchant's name.
merchantCountryCodestringThe merchant's ISO-3166-1 Alpha-2 country code.
paymentAcquirerAmountstringPayment amount represented in the merchant's local currency. The amount will use fiat minor units. For example 978 GBP is £9.78.
paymentAcquirerCurrencystringThe merchant's local currency.
expiryTimestring<date-time>The ISO 8601 timestamp of when the SCA challenge expires.
messageIdstringlistenerIdstringlistenerAccountIdstringdeliveryAttemptnumbercreatedAtstringThe notification message creation timestamp.
sentAtstringThe delivery attempt timestamp.
keyIdstringThe public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.
issuerstring